<!doctype html>
<html>
<head>
  <link rel="stylesheet" href="file:///android_asset/style.css" />
</head>
<body>
  <h2>Plateforme Android</h2>
  Dans cette partie, la plateforme <i>Android</i> est abordée selon les quatres
  points :
  <ul>
    <li>Système ouvert</li>
    <li>Pourquoi choisir Android ?</li>
    <li>Historique</li>
    <li>Chemin d'une application</li>
  </ul>
<p>Retrouvez l'intégralité de la présentation via ce
<a href="https://www.slideshare.net/secret/vZmtgyHq40gC36">lien privé</a>.</p>
  <h3>Système ouvert</h3>
  <p>La plateforme <i>Android</i> est un système d'exploitation (<i>Operating
  System</i> soit <i>OS</i>) pour téléphone portable.<br>
  Elle est soutenue par l'<i>OHA</i> (accronyme d'<i>Open Handset Alliance</i>),
  c'est un groupe initié par <i>Google</i>, composé d'une centaine d'entreprises :
  des constructeurs de microélectronique (<i>Qualcomm</i>), des fournisseurs de
  réseau (<i>Bouygues Telecom</i>), des constructeurs de téléphone (<i>Wiko</i>,
  <i>Nokia</i>, etc.).<br>
  La plateforme <i>Android</i> fait la séparation entre la couche matérielle et
  la couche logicielle. Elle est basée sur un noyau <i>Linux</i> allégé afin de
  répondre aux contraintes du mobile.<br>
  La particularité d'<i>Android</i> réside dans sa nature libre et ouverte, c'est
  un <i>Framework Open Source</i>. Cela confère un écosystème riche pour les
  constructeurs, ils peuvent façonner le système à leur image (chartre graphique,
  service spécifique); pour les développeurs, ils ont accès à tout le
  code source et peuvent s'en inspirer pour leur propre création;
  pour les utilisateurs, un large choix d'application est à leur disposition.<br>
  Le système d'exploitation <i>Android</i> est généralement installé sur des
  téléphones portables, cela dit il peut être implanté dans un tableau de bord
  de voiture, une télévision, une tablette, une montre connecté, un réfrigérateur,
  etc. De manière générale, ce système est plébiscité dans le domaine de la
  domotique.</p>

  <h3>Pourquoi choisir Android ?</h3>
  <p>Plus précisement, pourquoi choisir de développer une application mobile
  avec le système <i>Android</i> ?<br>
  De nos jours, la présence de son application mobile sur les boutiques en ligne,
  <i>App Store</i> et <i>Play Store</i>, est incontournable.<br>
  D'une part, développer la dite application avec une solution multiplateforme
  peut être une solution temporaire, à bas coût ou bien, convenir à une application
  simple de type vitrine.
  Le multiplateforme nécessite, dans la plupart des cas, des compétences
  web, très répandues, et offre une vitesse de développement transcendante.
  Cependant, l'ergonomie d'une application multiplateforme est moins séduisante
  et grossière.
  En effet, il n'est pas aisé de satisfaire à la fois le <i>flat design</i>,
  spécifique à l'<i>iPhone</i>, et le <i>material design</i> de <i>Google</i>,
  inondant tous les téléphones <i>Android</i>. En outre, une application
  multiplateforme ne benéficie pas d'un rendu optimal car il subsiste une surcouche
  quant à l'accès aux matériels (carte graphique, appareil photo, GPS, etc.).<br>
  D'autre part, le choix de réaliser une application avec une interface utilisateur
  native est une évidence. En effet, l'objectif est de séduire l'utilisateur avec
  une interface graphique dont l'usage respecte les spécificités de l'<i>OS</i>.
  Par ailleurs, la priorité est de développer pour <i>Android</i>. En effet,
  <i>Android</i> détient le plus de part de marché dans le monde (d'après
  <a href="https://www.kantarworldpanel.com/fr/smartphone-os-market-share/">Kantar world</a>).</p>

  <h3>Historique</h3>
<p>La jeune pousse, <i>start-up</i>, <i>Android</i> est née en octobre 2003, à Palo Alto, en Californie,
  elle est alors composée de quatre développeurs.<br>
  En août 2005, <i>Google</i> rachète <i>Android</i>.<br>
  En novembre 2007, le groupe <acronym>OHA</acronym> est annoncé officiellement.<br>
  En septembre 2008, le premier téléphone <i>Android</i> est commercialisé de manière symbolique, le <i>HTC Dream</i>.<br>
  En avril 2009, sort la première pâtisserie <i>Android</i> <i>Cupcake</i>,
  s'ensuit une longue série de sucreries dont les noms suivent l'ordre alphabétique.</p>
  <table>
     <tr>
        <th>Date</th>
        <th>Nom</th>
        <th>Version</th>
        <th>API</th>
     </tr>
     <tr>
        <td>Avril 2009</td>
        <td>Cupcake</td>
        <td>1.5</td>
        <td>3</td>
     </tr>
     <tr>
        <td>Septembre 2009</td>
        <td>Donut</td>
        <td>1.6</td>
        <td>4</td>
     </tr>
     <tr>
        <td>Octobre 2009</td>
        <td>Eclair</td>
        <td>2.1</td>
        <td>7</td>
     </tr>
     <tr>
        <td>Mai 2010</td>
        <td>Froyo</td>
        <td>2.2</td>
        <td>8</td>
     </tr>
     <tr>
        <td>Décembre 2010</td>
        <td>Gingerbread</td>
        <td>2.3</td>
        <td>10</td>
     </tr>
     <tr>
        <td>Février 2011</td>
        <td>Honeycomb</td>
        <td>3.X</td>
        <td>13</td>
     </tr>
     <tr>
        <td>Octobre 2011</td>
        <td>Ice Cream Sandwich</td>
        <td>4.0</td>
        <td>15</td>
     </tr>
     <tr>
        <td>Juin 2012</td>
        <td>Jelly Bean</td>
        <td>4.1</td>
        <td>18</td>
     </tr>
     <tr>
        <td>Octobre 2013</td>
        <td>KitKat</td>
        <td>4.4</td>
        <td>20</td>
     </tr>
     <tr>
        <td>Octobre 2014</td>
        <td>Lollipop</td>
        <td>5.1</td>
        <td>21</td>
     </tr>
     <tr>
        <td>Octobre 2015</td>
        <td>Marshmallow</td>
        <td>6.0</td>
        <td>23</td>
     </tr>
     <tr>
        <td>Octobre 2016</td>
        <td>Nougat</td>
        <td>7.0</td>
        <td>24</td>
     </tr>
     <tr>
        <td>Septembre 2017</td>
        <td>Oreo</td>
        <td>8.0</td>
        <td>26</td>
     </tr>
     <tr>
        <td>Août 2018</td>
        <td>Pie</td>
        <td>9.0</td>
        <td>28</td>
     </tr>
  </table>
  <p>De manière générale, une version <i>Android</i> met deux ans avant de se
  propager sur l'ensemble des téléphones de la population et d'inonder le marché.</p>
  <p>Dans ce tableau, l'information utile pour un développeur est le <u>numéro d'API</u>,
  car c'est ce qui est utilisé dans les fichiers de configuration d'un projet,
  pour désigner une version <i>Android</i>.</p>
  <p>Par ailleurs, la version <i>Honeycomb</i> est remarquable dans le sens
  où elle a complètement disparue des terminaux <i>Android</i>. En effet, cette
  version a été spécialement conçue pour tablette, elle a introduit des nouveaux
  concepts intégrés dans la version suivante <i>Ice Cream Sandwich</i>. Elle
  n'avait donc plus lieu d'exister.</p>

  <h3>Chemin d'une application</h3>
  <p>La création d'une application mobile est toute une histoire.</p>
  <p>Dans «La vérité sur l'affaire d'une application  mobile» de Macha da Costa,
    les cinq phases suivantes sont retenues pour décrire le cheminement d'une
    application mobile :
    <ul>
      <li>la phase de découverte</li>
      <li>la phase de conception</li>
      <li>la phase de concrétisation </li>
      <li>la phase de lancement</li>
      <li>la phase de maintenance</li>
    </ul>
  </p>
  <p>Durant la phase de découverte, soit l'idée d'une nouvelle application émerge,
  soit il s'agit de sublimer une application existante.<br>
  Lors de la phase de conception, l'objectif est de créer des personas, rediger
  des scenarii, lister des tâches utilisateurs, hierarchiser ces dernières, en
  déduire des maquettes, et enfin lister des fonctionnalités à coder.<br>
  La phase de concrétisation concerne le développement en lui-même.<br>
  L'application est publiée pendant la phase de lancement.<br>
  Finalement, durant la phase de maintenance, l'application est mise au goût du
  jour, et construite de nouveau avec la dernière version de l'OS.</p>
<h4>Partie suivante</h4>
<a href="file:///android_asset/1B-environnementdeveloppement.html">Environnement
de développement</a>
<h4>À faire</h4>
<a href="https://www.chillcoding.com/blog/2014/08/08/extraordinaire-humanoide/">
Créer une <i>Issue</i> au sujet de cet article</a>
</html>
